package br.com.ginfes.homologacao;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;
import javax.xml.ws.Service;

/**
 * This class was generated by Apache CXF 3.1.4
 * 2016-03-03T08:43:50.322-03:00
 * Generated source version: 3.1.4
 * 
 */
@WebServiceClient(name = "ServiceGinfesImplService", 
                  wsdlLocation = "file:/Users/mateussouza/Documents/workspace-nfse/vch-nfse-blank/3-wsdl2java-stubproxy/vch-nfse-wsdl2java-cxf3-codegen-maven-plugin/src/main/resources/wsdl/HomServiceGinfesImpl.wsdl",
                  targetNamespace = "http://homologacao.ginfes.com.br") 
public class ServiceGinfesImplService extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://homologacao.ginfes.com.br", "ServiceGinfesImplService");
    public final static QName ServiceGinfesImplPort = new QName("http://homologacao.ginfes.com.br", "ServiceGinfesImplPort");
    static {
        URL url = null;
        try {
            url = new URL("file:/Users/mateussouza/Documents/workspace-nfse/vch-nfse-blank/3-wsdl2java-stubproxy/vch-nfse-wsdl2java-cxf3-codegen-maven-plugin/src/main/resources/wsdl/HomServiceGinfesImpl.wsdl");
        } catch (MalformedURLException e) {
            java.util.logging.Logger.getLogger(ServiceGinfesImplService.class.getName())
                .log(java.util.logging.Level.INFO, 
                     "Can not initialize the default wsdl from {0}", "file:/Users/mateussouza/Documents/workspace-nfse/vch-nfse-blank/3-wsdl2java-stubproxy/vch-nfse-wsdl2java-cxf3-codegen-maven-plugin/src/main/resources/wsdl/HomServiceGinfesImpl.wsdl");
        }
        WSDL_LOCATION = url;
    }

    public ServiceGinfesImplService(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public ServiceGinfesImplService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public ServiceGinfesImplService() {
        super(WSDL_LOCATION, SERVICE);
    }
    
    public ServiceGinfesImplService(WebServiceFeature ... features) {
        super(WSDL_LOCATION, SERVICE, features);
    }

    public ServiceGinfesImplService(URL wsdlLocation, WebServiceFeature ... features) {
        super(wsdlLocation, SERVICE, features);
    }

    public ServiceGinfesImplService(URL wsdlLocation, QName serviceName, WebServiceFeature ... features) {
        super(wsdlLocation, serviceName, features);
    }    




    /**
     *
     * @return
     *     returns ServiceGinfesImpl
     */
    @WebEndpoint(name = "ServiceGinfesImplPort")
    public ServiceGinfesImpl getServiceGinfesImplPort() {
        return super.getPort(ServiceGinfesImplPort, ServiceGinfesImpl.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns ServiceGinfesImpl
     */
    @WebEndpoint(name = "ServiceGinfesImplPort")
    public ServiceGinfesImpl getServiceGinfesImplPort(WebServiceFeature... features) {
        return super.getPort(ServiceGinfesImplPort, ServiceGinfesImpl.class, features);
    }

}
